slider visual style mismatch
Description
in addition equalizer looks normal on 4.1

History

#1 - March 19, 2021 20:27 - Thomas Lange

Do you mean the dotted rectangle which looks odd around the slider?

There is no clean solution to remove this.
Setting the focus policy to NoFocus hides it obviously, but the slider no longer reacts to the keyboard (cursor keys, page up/down).
The attached patch fixes it by using a custom style, but | am not sure if we want to add this "workaround".

See also:
https://stackoverflow.com/questions/9795791
https://www.gtcentre.org/threads/60363-Removing-dotted-outline-during-focus

#2 - March 19, 2021 20:27 - Thomas Lange

- File volume_button.patch added

#3 - March 21, 2021 00:06 - asd fgh

thanks for answer i had no guess what is this thing called
to make sure it's not my fault i have added this line to code

wprintf (L"patch applied %$hs\n", __ _TIME_ );
sadly patch didn't worked drawPrimitive pre-processor isn't called but removing call to m_slider.setFocus and setting nofocus policy works fine i'll use
it for now

in addition "outline: 0" doesn't works but possibly i have done something wrong i don't have any Qt experience and something i found
h koverflow.com ions/622 removing-f -border-from-gslider-in-
https://stackoverflow.com/questions/9795791
https://www.qtcentre.org/threads/60363-Removing-dotted-outline-during-focus
https://stackoverflow.com/questions/62258966/removing-focus-border-from-qslider-in-pyqt

#4 - March 31, 2021 00:31 - John Lindgren
- Tracker changed from Bug to Support

#5 - April 13, 2021 04:02 - John Lindgren

- Status changed from New to Closed

I'd personally vote that we leave this up to the Qt style. Fusion for one already doesn't draw a focus rectangle.
I'm going to go ahead and close this.

Files
volume_button.patch 1.15 KB March 19, 2021 Thomas Lange
